Package twisted :: Package conch :: Package ui :: Module tkvt100

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ui.tkvt100

Module to emulate a VT100 terminal in Tkinter.

Maintainer: Paul Swartz <z3p@twistedmatrix.com>

Classes
`VT100Frame` |

Variable Summary
`tuple` | `colorKeys`
`dictionary` | `colorMap`
`None` | `fontHeight`
`None` | `fontWidth`
`None` | `ttyFont`

Variable Details

### colorKeys

  Type:
    `tuple`
  Value:

        ('b',
         'r',
         'g',
         'y',
         'l',
         'm',
         'c',
         'w',
        ...

### colorMap

  Type:
    `dictionary`
  Value:

        {'B': '#626262',
         'C': '#00ffff',
         'G': '#00ff00',
         'L': '#0000ff',
         'M': '#ff00ff',
         'R': '#ff0000',
         'W': '#ffffff',
         'Y': '#ffff00',
        ...

### fontHeight

  Type:
    `None`
  Value:

        None

### fontWidth

  Type:
    `None`
  Value:

        None

### ttyFont

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:17:49 2003 | http://epydoc.sf.net